#ifndef TARGET_H
#define TARGET_H

#include <windows.h>
#include "proto.h"

// Set PWM to value 0 .. 255
void TargetSetPwm(HANDLE hDevice, int iChannel, UINT uPwm);
// Set voltage in millivolt
void TargetSetVolt(HANDLE hDevice, int iChannel, UINT uVolt);
// Get calibration data point
void TargetGetData(HANDLE hDevice, int iChannel, int iIndex, UINT *lpVolt, UINT *lpPwm);
/// Set calibration data point
void TargetSetData(HANDLE hDevice, int iChannel, int iIndex, UINT uVolt, UINT uPwm);
// Load calibration data from EEPROM
void TargetLoad(HANDLE hDevice);
// Store calibration data into EEPROM
void TargetStore(HANDLE hDevice);

#endif
